// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')
const dust = [
	
	'brass',
	'constantan',
	'electrum',
	'invar',
	'signalum',
	'lumium',
	'bronze',
	'enderium'
]
const bm = [
    'smelting',
    'enriching',
    'crushing',
    'sawing',
    'compressing',
    'combining',
    'purifying',
    'injecting',
    'infusing'
]
const upgrade = [
	'basic',
	'advanced',
	'elite',
	'ultimate'
]


let furnace = [
	'smelting',
	'blasting',
]
let allthemodium =[
	'allthemodium',
	'vibranium',
	'unobtainium'
]
onEvent('recipes', event => {


	
	function outremove(modname){
		event.remove({output: `${modname}`})
	}

	//refined
	outremove('refinedstorage:controller');
	outremove('refinedstorage:disk_drive')
	//mekanism
	outremove('mekanism:metallurgic_infuser')
	outremove('mekanism:energized_smelter')
	outremove('mekanism:enrichment_chamber')
	outremove('mekanism:crusher')
	outremove('mekanism:precision_sawmill')
	outremove('mekanism:upgrade_speed')
	outremove(`mekanism:ultimate_tier_installer`)
	outremove(`mekanism:elite_tier_installer`)
	outremove(`mekanism:advanced_tier_installer`)
	outremove(`mekanism:basic_tier_installer`)
for(let p in bm){
for(let p1 in upgrade){
	event.remove({output: `mekanism:${upgrade[p1]}_${bm[p]}_factory`})
}
}

	//cagedmob

	outremove('cagedmobs:mobcage')
	outremove('cagedmobs:hoppingmobcage')





	//mob grinder
	event.remove({output: 'mob_grinding_utils:mob_swab'})
	event.remove({output: 'mob_grinding_utils:mob_swab_used'})
	event.remove({output: 'mob_grinding_utils:gm_chicken_feed'})
	outremove('mob_grinding_utils:saw')
	

	


	for(let pos in allthemodium){
	for(let pos1 in furnace){
	event.remove({output: `allthemodium:${allthemodium[pos]}_ingot`,type: `${furnace[pos1]}`})
	}}


//thermal
	outremove('thermal:upgrade_augment_1')
	outremove('thermal:upgrade_augment_2')
	outremove('thermal:upgrade_augment_3')
//dust
	for(let pos in dust){
event.remove({output: `#forge:dusts/${dust[pos]}`})}


//fluxnetworks
event.remove({id: `fluxnetworks:fluxpoint`})

//industrial
outremove(`industrialforegoing:fluid_extractor`)
outremove(`industrialforegoing:machine_frame_pity`)
outremove(`industrialforegoing:mob_crusher`)

})